void main (int argc, char **argv) {
 if (B1) {
   while (B1S1)
     for (B1S2)
       if (B2) {
         if (B2S1)
           if (B2S2)
             B2S2Resolve();
         if (B2S1)
           if (B2S2)
             B2S2Resolve();
           else //B2S2
             B2S2ElseResolve();
       }
 } else if (B1) {
   while (B1S1)
     for (B1S2)
       if (B1S3)
          B1S3Resolve();
 } else // B1
   while (B1S1)
     for (B1S2)
       if (B1S3)
         B1S3Resolve();
} // End main()
